Package org.postgresql.geometric

# Class PGlseg

java.lang.Object
org.postgresql.util.PGobject
org.postgresql.geometric.PGlseg

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class PGlseg extends PGobject implements Serializable, Cloneable
This implements a lseg (line segment) consisting of two points.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`PGpoint @Nullable []`
`point`
These are the two points.

### Fields inherited from class org.postgresql.util.PGobject

`type, value`

## Constructor Summary

Constructors
Constructor
Description
`PGlseg()`
required by the driver.
`PGlseg(double x1, double y1, double x2, double y2)`
`PGlseg(String s)`
`PGlseg(PGpoint p1, PGpoint p2)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`clone()`
This must be overridden to allow the object to be cloned.
`boolean`
`equals(@Nullable Object obj)`
This must be overridden to allow comparisons of objects.
`@Nullable String`
`getValue()`
This must be overridden, to return the value of the object, in the form required by org.postgresql.
`int`
`hashCode()`
Compute hash.
`void`
`setValue(@Nullable String s)`
This method sets the value of this object.

### Methods inherited from class org.postgresql.util.PGobject

`equals, getType, isNull, setType, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### point

public PGpoint @Nullable [] point
These are the two points.

## Constructor Details

### PGlseg

public PGlseg(double x1, double y1, double x2, double y2)

Parameters:
  `x1` - coordinate for first point
  `y1` - coordinate for first point
  `x2` - coordinate for second point
  `y2` - coordinate for second point

### PGlseg

public PGlseg(PGpoint p1, PGpoint p2)

Parameters:
  `p1` - first point
  `p2` - second point

### PGlseg

public PGlseg(String s) throws SQLException

Parameters:
  `s` - definition of the line segment in PostgreSQL's syntax.
Throws:
  `SQLException` - on conversion failure

### PGlseg

public PGlseg()
required by the driver.

## Method Details

### setValue

public void setValue(@Nullable String s) throws SQLException
Description copied from class: `PGobject`
This method sets the value of this object. It must be overridden.

Overrides:
  `setValue` in class `PGobject`
Parameters:
  `s` - Definition of the line segment in PostgreSQL's syntax
Throws:
  `SQLException` - on conversion failure

### equals

public boolean equals(@Nullable Object obj)
Description copied from class: `PGobject`
This must be overridden to allow comparisons of objects.

Overrides:
  `equals` in class `PGobject`
Parameters:
  `obj` - Object to compare with
Returns:
  true if the two line segments are identical

### hashCode

public int hashCode()
Description copied from class: `PGobject`
Compute hash. As equals() use only value. Return the same hash for the same value.

Overrides:
  `hashCode` in class `PGobject`
Returns:
  Value hashcode, 0 if value is null `Objects.hashCode(Object)`

### clone

public Object clone() throws CloneNotSupportedException
Description copied from class: `PGobject`
This must be overridden to allow the object to be cloned.

Overrides:
  `clone` in class `PGobject`
Throws:
  `CloneNotSupportedException`

### getValue

public @Nullable String getValue()
Description copied from class: `PGobject`
This must be overridden, to return the value of the object, in the form required by org.postgresql.

Overrides:
  `getValue` in class `PGobject`
Returns:
  the PGlseg in the syntax expected by org.postgresql